ressonance
@ressonance
Веб-разработчик

Как обновить сертификат Let's Encrypt c ACMEv1 до ACMEv2?

Не могу решить никак проблему с обновлением сертификатов c ACMEv1 до ACMEv2 в связи с тем, что ACMEv1 устарел и больше не поддерживается.

На сервере стоит Debian 8.

certbot -- version
0.10.2 и пишет что версия обновлена до последней.

Обновлял руками такой командой:

sudo certbot certonly -a webroot --webroot-path=/var/www/example.com/www/ -d example.com -d www.example.com

На данный момент пробовал разные вариант и не один пока не принес положительных результатов.
  • Вопрос задан
  • 78 просмотров
Пригласить эксперта
Ответы на вопрос 2
ky0
@ky0 Куратор тега Nginx
Миллиардер, филантроп, патологический лгун
Дебиан у вас староват, поэтому и новых версий не находится. Можно, конечно, попробовать актуальный бинарник скачать (или попытаться собрать из исходников) - но не факт, что будет работать. Я бы, всё-таки, обновил ОС.
Ответ написан
SignFinder
@SignFinder
Wintel\Unix Engineer
Скачайте актуальную версию certbot-auto из официального репозитория
https://github.com/certbot/certbot/releases/tag/v1.14.0
и используйте ее.
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы